Name: manslide
Version: 1.9.13
Release: alt1

Summary: Manslide is a tool for generating slideshows.
License: GPL 
Group: Video
Url: http://www.kde-apps.org/content/show.php?content=46558

Packager: Alexey Morsov <swi@altlinux.ru>
Source: %name-%version.tar
Source1: %{name}16.png
Source2: %{name}32.png
Source3: %{name}48.png
Source4: %name.desktop
Patch: manslide-1.5-alt-translation-paths.patch

# Automatically added by buildreq on Fri Dec 29 2006
BuildRequires: fontconfig gcc-c++ libmesa-devel libqt4-devel qt4-settings
BuildRequires: kde-common-devel

Requires: mencoder, mjpegtools, ImageMagick, sox, vorbis-tools, mplayer

%description
Manslide is a tool for generating slideshows.
It supports 3D special effects and is very simple to use.

%prep
%setup -q
%patch -p1
subst 's|/new/prefix1|%_datadir/%name|' interface.qrc
rename M m Manslide.pro
find . -type f -name \*.cpp -print0 | xargs -r0 subst 's|QApplication::applicationDirPath() + "|"%_datadir/%name|g'

%build
%_qt4dir/bin/qmake
%make_build

%install
install -d -m755 %buildroot%_bindir
install -d -m755 %buildroot%_datadir/%name
install -d -m755 %buildroot%_datadir/qt4/translations
install -d -m755 %buildroot%_miconsdir
install -d -m755 %buildroot%_niconsdir
install -d -m755 %buildroot%_liconsdir
install -d -m755 %buildroot%_Kmenudir

install -m755 %name %buildroot%_bindir/
install -m644 -t %buildroot%_datadir/qt4/translations/ *.qm
cp -R Interface %buildroot%_datadir/%name/
cp -R BIB_ManSlide/Luma %buildroot%_datadir/%name/
cp -R BIB_ManSlide/Eff_sup %buildroot%_datadir/%name/
install -m644 %SOURCE1 %buildroot%_miconsdir/%name.png
install -m644 %SOURCE2 %buildroot%_niconsdir/%name.png
install -m644 %SOURCE3 %buildroot%_liconsdir/%name.png
install -m644 %SOURCE4 %buildroot%_Kmenudir/

%find_lang %name

%files -f %name.lang
%_bindir/*
%_datadir/%name
%_datadir/qt4/translations/*
%_miconsdir/*
%_niconsdir/*
%_liconsdir/*
%_Kmenudir/*


%changelog
* Fri Feb 15 2008 Alexey Morsov <swi@altlinux.ru> 1.9.13-alt1
- 1.9.13
- Fix bug when encoding in high quality
- Fix a problem on encoding quality
- Now effects are gif or mng image. Better performance 
  and more easy to control
- Fix a bug on effects. When you change the current slide 
  the combo animation doesn't follow your choices

* Thu Dec 13 2007 Alexey Morsov <swi@altlinux.ru> 1.9.1-alt1
- 1.9.1
- Now there is 335 transitions
- now image are not compress when loaded so better quality
- Fix screen capture to have a standard format size

* Mon Nov 19 2007 Alexey Morsov <swi@altlinux.ru> 1.9.0-alt1
- 1.9.0
- new screen to change transitions settings with preview
- Many new transitions
- Change opacity of main slide to see behind (the background)
- many bug fixes

* Fri Nov 09 2007 Alexey Morsov <swi@altlinux.ru> 1.8.0-alt1
- 1.8.0
- Fix broken save / open function in some special case
- Add a function to expand the size of the slide
- Add two new transitions (remove .manslide.cnf 
from your /home before launch manslide to get the new effects)

* Mon Sep 17 2007 Alexey Morsov <swi@altlinux.ru> 1.7.1-alt1
- version 1.7.1
- many bug fixes
- new 3d effect

* Mon Sep 03 2007 Alexey Morsov <swi@altlinux.ru> 1.7-alt1
- New open file dialog with image preview
- Add slide after the current slide (more easy to organize your import)
- Add the possibility to loop the soundtrack
- Add the possibility to change fog opacity from begin and end of the slide
- Many improvement in ui speed and usuabilty
- More than 20 bugfixes
- Totally remake the effect library (Thxs to www.movietools.info for the autorization 
  to publish them. Go on their website to find others).

* Mon Aug 13 2007 Alexey Morsov <swi@altlinux.ru> 1.6-alt1
- version 1.6
- some bug fixes

* Thu May 17 2007 Alexey Morsov <swi@altlinux.ru> 1.5.7-alt1
- new version (a lot bug fixes)

* Thu May 10 2007 Alexey Morsov <swi@altlinux.ru> 1.5.6-alt1
- new version (new effects, speed impoved)

* Fri Apr 13 2007 Alexey Morsov <swi@altlinux.ru> 1.5-alt1.1
- Fix Summary and description

* Mon Apr 09 2007 Alexey Morsov <swi@altlinux.ru> 1.5-alt1
- initial build for Sisyphus
- hardcore patching for normal paths for data files and translation files
- create .desktop and icons files

